Analyze
curl --request POST \
--url https://api.acedata.cloud/face/analyze \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg"
}
'import requests
url = "https://api.acedata.cloud/face/analyze"
payload = { "image_url": "https://cdn.acedata.cloud/4hfydw.jpg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://cdn.acedata.cloud/4hfydw.jpg'})
};
fetch('https://api.acedata.cloud/face/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"image_width": 904,
"image_height": 602,
"face_shape_set": [
{
"nose": [
{
"x": 561,
"y": 312
},
{
"x": 559,
"y": 250
},
{
"x": 551,
"y": 267
},
{
"x": 544,
"y": 283
},
{
"x": 536,
"y": 300
},
{
"x": 527,
"y": 317
},
{
"x": 544,
"y": 326
},
{
"x": 560,
"y": 329
},
{
"x": 574,
"y": 326
},
{
"x": 589,
"y": 317
},
{
"x": 582,
"y": 300
},
{
"x": 574,
"y": 284
},
{
"x": 566,
"y": 267
}
],
"mouth": [
{
"x": 513,
"y": 363
},
{
"x": 526,
"y": 375
},
{
"x": 541,
"y": 383
},
{
"x": 558,
"y": 386
},
{
"x": 574,
"y": 383
},
{
"x": 589,
"y": 375
},
{
"x": 600,
"y": 363
},
{
"x": 586,
"y": 356
},
{
"x": 572,
"y": 350
},
{
"x": 559,
"y": 354
},
{
"x": 545,
"y": 350
},
{
"x": 529,
"y": 356
},
{
"x": 528,
"y": 364
},
{
"x": 543,
"y": 366
},
{
"x": 558,
"y": 367
},
{
"x": 572,
"y": 365
},
{
"x": 586,
"y": 364
},
{
"x": 586,
"y": 363
},
{
"x": 572,
"y": 364
},
{
"x": 558,
"y": 365
},
{
"x": 543,
"y": 364
},
{
"x": 528,
"y": 363
}
],
"left_eye": [
{
"x": 470,
"y": 242
},
{
"x": 481,
"y": 247
},
{
"x": 492,
"y": 249
},
{
"x": 504,
"y": 248
},
{
"x": 516,
"y": 245
},
{
"x": 506,
"y": 237
},
{
"x": 494,
"y": 233
},
{
"x": 481,
"y": 235
}
],
"right_eye": [
{
"x": 641,
"y": 245
},
{
"x": 630,
"y": 250
},
{
"x": 618,
"y": 251
},
{
"x": 606,
"y": 251
},
{
"x": 594,
"y": 248
},
{
"x": 604,
"y": 238
},
{
"x": 617,
"y": 235
},
{
"x": 630,
"y": 236
}
],
"left_pupil": [
{
"x": 494,
"y": 239
}
],
"right_pupil": [
{
"x": 618,
"y": 242
}
],
"face_profile": [
{
"x": 432,
"y": 240
},
{
"x": 432,
"y": 266
},
{
"x": 434,
"y": 291
},
{
"x": 439,
"y": 316
},
{
"x": 445,
"y": 341
},
{
"x": 456,
"y": 364
},
{
"X": 470,
"Y": 385
},
{
"X": 488,
"Y": 403
},
{
"X": 508,
"Y": 418
},
{
"X": 531,
"Y": 430
},
{
"X": 556,
"Y": 434
},
{
"X": 580,
"Y": 429
},
{
"X": 602,
"Y": 417
},
{
"X": 621,
"Y": 402
},
{
"X": 638,
"Y": 384
},
{
"X": 652,
"Y": 364
},
{
"X": 662,
"Y": 341
},
{
"X": 669,
"Y": 318
},
{
"X": 673,
"Y": 293
},
{
"X": 676,
"Y": 269
},
{
"X": 676,
"Y": 244
}
],
"left_eye_brow": [
{
"x": 447,
"y": 217
},
{
"x": 466,
"y": 219
},
{
"x": 485,
"y": 221
},
{
"x": 504,
"y": 224
},
{
"x": 523,
"y": 226
},
{
"x": 507,
"y": 214
},
{
"x": 486,
"y": 209
},
{
"x": 466,
"y": 208
}
],
"right_eye_brow": [
{
"x": 662,
"y": 223
},
{
"x": 644,
"y": 224
},
{
"x": 626,
"y": 225
},
{
"x": 608,
"y": 227
},
{
"x": 590,
"y": 227
},
{
"x": 606,
"y": 217
},
{
"x": 626,
"y": 213
},
{
"x": 646,
"y": 212
}
]
}
],
"face_model_version": "3.0"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Analyze
The requested image is located on the five features (also known as face key point positioning), calculating 90 points that constitute the outline of the face, including eyebrows (8 points on the left and right sides), eyes (8 points on the left and right sides), nose (13 points), mouth (22 points), face contour (21 points), and eye [or pupil] (2 points).
POST
/
face
/
analyze
Analyze
curl --request POST \
--url https://api.acedata.cloud/face/analyze \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg"
}
'import requests
url = "https://api.acedata.cloud/face/analyze"
payload = { "image_url": "https://cdn.acedata.cloud/4hfydw.jpg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://cdn.acedata.cloud/4hfydw.jpg'})
};
fetch('https://api.acedata.cloud/face/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"image_width": 904,
"image_height": 602,
"face_shape_set": [
{
"nose": [
{
"x": 561,
"y": 312
},
{
"x": 559,
"y": 250
},
{
"x": 551,
"y": 267
},
{
"x": 544,
"y": 283
},
{
"x": 536,
"y": 300
},
{
"x": 527,
"y": 317
},
{
"x": 544,
"y": 326
},
{
"x": 560,
"y": 329
},
{
"x": 574,
"y": 326
},
{
"x": 589,
"y": 317
},
{
"x": 582,
"y": 300
},
{
"x": 574,
"y": 284
},
{
"x": 566,
"y": 267
}
],
"mouth": [
{
"x": 513,
"y": 363
},
{
"x": 526,
"y": 375
},
{
"x": 541,
"y": 383
},
{
"x": 558,
"y": 386
},
{
"x": 574,
"y": 383
},
{
"x": 589,
"y": 375
},
{
"x": 600,
"y": 363
},
{
"x": 586,
"y": 356
},
{
"x": 572,
"y": 350
},
{
"x": 559,
"y": 354
},
{
"x": 545,
"y": 350
},
{
"x": 529,
"y": 356
},
{
"x": 528,
"y": 364
},
{
"x": 543,
"y": 366
},
{
"x": 558,
"y": 367
},
{
"x": 572,
"y": 365
},
{
"x": 586,
"y": 364
},
{
"x": 586,
"y": 363
},
{
"x": 572,
"y": 364
},
{
"x": 558,
"y": 365
},
{
"x": 543,
"y": 364
},
{
"x": 528,
"y": 363
}
],
"left_eye": [
{
"x": 470,
"y": 242
},
{
"x": 481,
"y": 247
},
{
"x": 492,
"y": 249
},
{
"x": 504,
"y": 248
},
{
"x": 516,
"y": 245
},
{
"x": 506,
"y": 237
},
{
"x": 494,
"y": 233
},
{
"x": 481,
"y": 235
}
],
"right_eye": [
{
"x": 641,
"y": 245
},
{
"x": 630,
"y": 250
},
{
"x": 618,
"y": 251
},
{
"x": 606,
"y": 251
},
{
"x": 594,
"y": 248
},
{
"x": 604,
"y": 238
},
{
"x": 617,
"y": 235
},
{
"x": 630,
"y": 236
}
],
"left_pupil": [
{
"x": 494,
"y": 239
}
],
"right_pupil": [
{
"x": 618,
"y": 242
}
],
"face_profile": [
{
"x": 432,
"y": 240
},
{
"x": 432,
"y": 266
},
{
"x": 434,
"y": 291
},
{
"x": 439,
"y": 316
},
{
"x": 445,
"y": 341
},
{
"x": 456,
"y": 364
},
{
"X": 470,
"Y": 385
},
{
"X": 488,
"Y": 403
},
{
"X": 508,
"Y": 418
},
{
"X": 531,
"Y": 430
},
{
"X": 556,
"Y": 434
},
{
"X": 580,
"Y": 429
},
{
"X": 602,
"Y": 417
},
{
"X": 621,
"Y": 402
},
{
"X": 638,
"Y": 384
},
{
"X": 652,
"Y": 364
},
{
"X": 662,
"Y": 341
},
{
"X": 669,
"Y": 318
},
{
"X": 673,
"Y": 293
},
{
"X": 676,
"Y": 269
},
{
"X": 676,
"Y": 244
}
],
"left_eye_brow": [
{
"x": 447,
"y": 217
},
{
"x": 466,
"y": 219
},
{
"x": 485,
"y": 221
},
{
"x": 504,
"y": 224
},
{
"x": 523,
"y": 226
},
{
"x": 507,
"y": 214
},
{
"x": 486,
"y": 209
},
{
"x": 466,
"y": 208
}
],
"right_eye_brow": [
{
"x": 662,
"y": 223
},
{
"x": 644,
"y": 224
},
{
"x": 626,
"y": 225
},
{
"x": 608,
"y": 227
},
{
"x": 590,
"y": 227
},
{
"x": 606,
"y": 217
},
{
"x": 626,
"y": 213
},
{
"x": 646,
"y": 212
}
]
}
],
"face_model_version": "3.0"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Авторизації
API token from https://platform.acedata.cloud
Заголовки
Face Analyze Param Accept
Доступні опції:
application/json, application/x-ndjson Тіло
application/json
Чи була ця сторінка корисною?
⌘I

